Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes

Namespace PdfViewerSamples
	Public Class ThumbnailItem
		Inherits ContentControl
		Public Sub New()
			Me.DefaultStyleKey = GetType(ThumbnailItem)
		End Sub

		Public Property Scale() As Double
			Get
				Return CDbl(GetValue(ScaleProperty))
			End Get
			Set(ByVal value As Double)
				SetValue(ScaleProperty, value)
			End Set
		End Property
		Public Shared ReadOnly ScaleProperty As DependencyProperty = DependencyProperty.Register("Scale", GetType(Double), GetType(ThumbnailItem), New PropertyMetadata(1.0))
	End Class
End Namespace
